include:
  - local: 'src/intel/ci/gitlab-ci-inc.yml'

anv-jsl:
  extends:
    - .lava-acer-cb317-1h-c3z6-dedede:x86_64
    - .anv-test
  variables:
    DEQP_SUITE: anv-jsl
    VK_DRIVER: intel
    DEQP_FRACTION: 2
  parallel: 4

# We don't enable a full run of anv-jsl nightly because it's about 8 hours of
# runtime, which would take too many boards at once.
.anv-jsl-full:
  extends:
    - anv-jsl
    - .anv-manual-rules
  variables:
    DEQP_SUITE: anv-jsl-full
    JOB_TIMEOUT: 60
  parallel: 4

anv-adl:
  extends:
    - .lava-acer-cbv514-1h-34uz-brya:x86_64
    - .anv-test
  variables:
    DEQP_SUITE: anv-adl
    VK_DRIVER: intel
    DEQP_FRACTION: 2
  timeout: 30m
  parallel: 4

anv-adl-full:
  extends:
    - anv-adl
    - .intel-manual-rules
  variables:
    DEQP_SUITE: anv-adl-full
    JOB_TIMEOUT: 90
  timeout: 1h 40m
  parallel: 5

anv-tgl:
  extends:
    - .lava-acer-cp514-2h-1160g7-volteer:x86_64
    - .anv-test
  variables:
    DEQP_SUITE: anv-tgl
    DEQP_FRACTION: 5 # temporarily drop network load
    VK_DRIVER: intel
  parallel: 5  # 5 - 5 # -1 for zink, but it's disabled now

# Takes too long since the 1.3.7.0 CTS uprev.
.anv-tgl-full:
  extends:
    - anv-tgl
    - .anv-manual-rules
  variables:
    DEQP_SUITE: anv-tgl-full
    DEQP_FRACTION: 1
    JOB_TIMEOUT: 90
  timeout: 100m
  parallel: 4

# Takes too long since the 1.3.7.0 CTS uprev.
.hasvk-hsw-full:
  extends:
    - .anholt-hsw-test
    - .test-vk
    - .deqp-test
    - .hasvk-manual-rules
  variables:
    GPU_VERSION: hasvk-hsw
    DEQP_SUITE: hasvk-hsw
    VK_DRIVER: intel_hasvk
    MESA_VK_IGNORE_CONFORMANCE_WARNING: 1
  timeout: 2h

hasvk-hsw:
  extends:
    - .hasvk-hsw-full
  variables:
    DEQP_FRACTION: 10

anv-jsl-angle:
  extends:
    - .lava-acer-cb317-1h-c3z6-dedede:x86_64
    - .anv-angle-test
  variables:
    DEQP_SUITE: anv-jsl-angle
    GPU_VERSION: angle-anv-jsl

anv-jsl-angle-full:
  extends:
    - anv-jsl-angle
    - .intel-manual-rules
  variables:
    DEQP_SUITE: anv-jsl-angle-full
    JOB_TIMEOUT: 60
  parallel: 2

anv-adl-angle:
  extends:
    - .lava-acer-cbv514-1h-34uz-brya:x86_64
    - .anv-test
    - .anv-angle-test
  variables:
    DEQP_SUITE: anv-adl-angle
    GPU_VERSION: angle-anv-adl
  timeout: 30m

anv-adl-angle-full:
  extends:
    - anv-adl-angle
    - .intel-manual-rules
  variables:
    DEQP_SUITE: anv-adl-angle-full
    JOB_TIMEOUT: 60
  timeout: 30m

anv-tgl-angle:
  extends:
    - .lava-acer-cp514-2h-1130g7-volteer:x86_64
    - .anv-test
    - .anv-angle-test
  variables:
    DEQP_SUITE: anv-tgl-angle
    GPU_VERSION: angle-anv-tgl

anv-tgl-angle-full:
  extends:
    - anv-tgl-angle
    - .intel-manual-rules
  variables:
    DEQP_SUITE: anv-tgl-angle-full
    JOB_TIMEOUT: 60

iris-apl-deqp:
  extends:
    - .iris-apl-test
    - .iris-manual-rules
  variables:
    DEQP_SUITE: iris-apl
  parallel: 3

iris-apl-egl:
  extends:
    - .iris-apl-test
  variables:
    PIGLIT_NO_WINDOW: 0
    HWCI_START_XORG: 1
    HWCI_START_WESTON: 1
    DEQP_SUITE: iris-apl-egl

iris-glk-deqp:
  extends:
    - .iris-glk-test
  variables:
    DEQP_SUITE: iris-glk
  parallel: 2

iris-glk-egl:
  extends:
    - .iris-glk-test
  variables:
    PIGLIT_NO_WINDOW: 0
    HWCI_START_XORG: 1
    HWCI_START_WESTON: 1
    DEQP_SUITE: iris-glk-egl

iris-amly-deqp:
  extends:
    - .iris-amly-test
  variables:
    DEQP_SUITE: iris-amly
  parallel: 3

iris-kbl-deqp:
  extends:
    - .iris-kbl-test
  variables:
    DEQP_SUITE: iris-kbl
  parallel: 3

iris-cml-deqp:
  extends:
    - .iris-cml-test
  variables:
    DEQP_SUITE: iris-cml
  parallel: 4

iris-jsl-deqp:
  extends:
    - .lava-acer-cb317-1h-c3z6-dedede:x86_64
    - .iris-test
  variables:
    DEQP_SUITE: iris-jsl
    DEQP_FRACTION: 4
  parallel: 2

iris-amly-egl:
  extends:
    - .iris-amly-test
  variables:
    PIGLIT_NO_WINDOW: 0
    HWCI_START_XORG: 1
    HWCI_START_WESTON: 1
    DEQP_SUITE: iris-amly-egl

iris-kbl-piglit:
  extends:
    - .iris-kbl-test
    - .lava-piglit
  parallel: 2
  variables:
    HWCI_START_XORG: 1
    PIGLIT_NO_WINDOW: 0
    PIGLIT_PLATFORM: mixed_glx_egl
    PIGLIT_PROFILES: gpu

iris-apl-traces:
  variables:
    GPU_VERSION: intel-apl
  extends:
    - .iris-apl-test
    - .iris-traces

iris-glk-traces:
  variables:
    GPU_VERSION: intel-glk
  extends:
    - .iris-glk-test
    - .iris-traces

iris-amly-traces:
  variables:
    GPU_VERSION: intel-amly
  extends:
    - .iris-amly-test
    - .iris-traces

iris-kbl-traces:
  variables:
    GPU_VERSION: intel-kbl
  extends:
    - .iris-kbl-test
    - .iris-traces

iris-cml-traces:
  variables:
    GPU_VERSION: intel-cml
  extends:
    - .iris-cml-test
    - .iris-traces

iris-apl-traces-performance:
  extends:
    - .iris-apl-test
    - .profile-traces
  variables:
    GPU_VERSION: intel-apl

iris-glk-traces-performance:
  extends:
    - .iris-glk-test
    - .profile-traces
  variables:
    GPU_VERSION: intel-glk

iris-amly-traces-performance:
  extends:
    - .iris-amly-test
    - .profile-traces
  variables:
    GPU_VERSION: intel-amly

iris-kbl-traces-performance:
  extends:
    - .iris-kbl-test
    - .profile-traces
  variables:
    GPU_VERSION: intel-kbl

intel-adl-cl:
  extends:
    - .lava-acer-cbv514-1h-34uz-brya:x86_64
    - .intel-adl-test
    - .intel-rules
  rules:
    - !reference [.intel-adl-test, rules]
    - !reference [.intel-rules, rules]
    - !reference [.rusticl-rules, rules]
  variables:
    DEQP_SUITE: intel-adl-cl
    VK_DRIVER: intel
    HWCI_START_WESTON: 1
  timeout: 20m

intel-adl-skqp:
  extends:
    - .lava-acer-cbv514-1h-34uz-brya:x86_64
    - .intel-adl-test
  variables:
    DEQP_SUITE: intel-adl-skqp
    VK_DRIVER: intel
    HWCI_START_XORG: 1
  timeout: 30m

intel-tgl-skqp:
  extends:
    - .lava-acer-cp514-2h-1130g7-volteer:x86_64
    - .intel-tgl-test
  variables:
    DEQP_SUITE: intel-tgl-skqp
    VK_DRIVER: intel
    HWCI_START_XORG: 1
